package com.yeejoin.precontrol.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yeejoin.precontrol.common.dto.KnowledgeShareDto;
import com.yeejoin.precontrol.common.entity.Task;
import com.yeejoin.precontrol.common.entity.UserRegistration;

public interface ITaskKnowledgeShareService extends IService<Task> {

	KnowledgeShareDto saveOne(KnowledgeShareDto knowledgeShareDto);

	Long saveOneByPostName(UserRegistration registration, String postNameKey,String postName, Long createPersonId);

	boolean updateOneById(KnowledgeShareDto knowledgeShareDto);

	KnowledgeShareDto queryById(Long personId, Long taskId);

	/**
	 * 消息通知--知识推送
	 *
	 * @param knowledgeShareDto
	 */
    void knowledgeNotice(KnowledgeShareDto knowledgeShareDto);
}
